#include <stdio.h>
#include <stdlib.h>

void swap(int *x, int *y)
{
    int temp=*x;
    *x=*y;
    *y=temp;
}

void selectionsort(int a[], int n)
{
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
            if(a[i]>a[j])
                swap(&a[i],&a[j]);
    }
}

int firstindexof(int x, int a[], int n)
{
    for(int i=0;i<n;i++)
        if(a[i]==x)
            return i;
    return -1;
}

int lastindexof(int x, int a[], int n)
{
    int index=-1;
    for(int i=0;i<n;i++)
        if(a[i]==x)
            index=i;
    return index;
}

int main()
{
    int q, n;
    scanf("%d %d", &n, &q);
    int a[n+3], b[q+3];
    for(int i=0;i<n;i++)
        scanf("%d", &a[i]);
    for(int i=0;i<q;i++)
        scanf("%d", &b[i]);
    selectionsort(a,n);
    for(int i=0;i<q;i++)
    {
        if(b[i]==a[n/2])
            printf("0\n");
        else
        {
            if(lastindexof(b[i],a,n)==-1)
            {
                a[n]=b[i];
                selectionsort(a,n+1);
                printf("%d\n", 2*firstindexof(b[i],a,n+1)-n);
            }
            else
            {
                if(b[i]>a[n/2])
                    printf("%d\n", 2*firstindexof(b[i],a,n)-n);
                else
                    printf("%d\n", n-2*lastindexof(b[i],a,n));
            }
        }
    }
    return 0;
}